%define upstream_name    Text-Unaccent
%define upstream_version 1.08

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14

Summary:	Remove accents from a string
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text//%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Text-Unaccent-size_t.patch

BuildRequires:  perl-devel


%description
A module that remove accents from a string. unac_string converts the input
string from the specified charset to UTF-16 and call unac_string_utf16 to
return the unaccented equivalent. The conversion from and to UTF-16 is done
with iconv(1).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"

%check
make test

%install
%makeinstall_std

%files
%doc README ChangeLog
%{_mandir}/*/*
%{perl_vendorarch}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-14.mga6
+ Revision: 1035175
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.80.0-13.mga6
+ Revision: 958085
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.80.0-12.mga6
+ Revision: 845348
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.80.0-11.mga6
+ Revision: 841484
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-10.mga5
+ Revision: 745269
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-9.mga5
+ Revision: 686662
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.80.0-8.mga5
+ Revision: 631812
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.80.0-7.mga4
+ Revision: 525032
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.80.0-6.mga4
+ Revision: 431821
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-5.mga3
+ Revision: 374246
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.80.0-4.mga3
+ Revision: 251237
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.80.0-3.mga2
+ Revision: 105058
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.80.0-2.mga1
+ Revision: 31351
- mageia rebuild
- imported package perl-Text-Unaccent


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-2mdv2011.0
+ Revision: 556178
- rebuild for perl 5.12

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.0
+ Revision: 408090
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.08-12mdv2009.0
+ Revision: 258622
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.08-11mdv2009.0
+ Revision: 246641
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.08-9mdv2008.1
+ Revision: 152331
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 25 2007 Olivier Thauvin <nanardon@mandriva.org> 1.08-8mdv2008.1
+ Revision: 111836
- fix int/size_t usage, making the module to work on 64bits arch

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-5mdv2008.0
+ Revision: 88620
- exclude x86_64, test don't pass (see #http://rt.cpan.org//Ticket/Display.html?id=29390)
- rebuild


* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:23:54 (54159)
- rebuild

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:21:24 (54156)
Import perl-Text-Unaccent

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.08-3mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.08-2mdk
- Fix BuildRequires

* Mon Sep 05 2005 Olivier Thauvin <nanardon@mandriva.org> 1.08-1mdk
- First mandriva package (require by bins)

